---
title: POS 1
layout: layouts/base_subject.njk
eleventyNavigation:
  key: POS 1
  parent: POS
  order: 1
---


<h2 id="exercises">Programming Exercises</h2>
<h3>Python</h3>
<ul>
  <li><a href="/exercises/python/exercise_1/">Exercise 1</a></li>
  <li><a href="/exercises/python/exercise_2/">Exercise 2</a></li>
  <li><a href="/exercises/python/exercise_3/">Exercise 3</a></li>
  <li><a href="/exercises/python/exercise_4/">Exercise 4</a> - accept
    <a href="https://classroom.github.com/a/UJwGBlfp">assignment on GitHub</a>
  </li>
</ul>

<h3>C</h3>
<ul>
  <li><a href="/exercises/c/exercise_1/">C exercise 1</a></li>
  <li><a href="/exercises/c/exercise_3/">C exercise 3</a></li>
</ul>

<h2 id="overview">Course Overview</h2>
<h3>Introduction to Programming in Python</h3>
<ul>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/1_intro/">Introduction</a></li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/2_hello_world/#(1)">Hello World</a></li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/3_strings/#(1)">Strings</a></li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/4_functions/">Functions</a></li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/5_data/">Collection Data Types</a></li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/cms1/6_documentation/#(1)">Modules and Documentation</a></li>
</ul>

<h3>Development Environment and Tools</h3>
<ul>
  <li><a href="https://www.youtube.com/watch?v=4cdRApK7RTQ&list=PLAW1Fsz27UuaLYfGBmXM7nHur2XpNuIeD&index=1">Introduction to Linux as Development Environment</a>
    <ul>
      <li><a href="http://docs.find-santa.eu/linux/#selected-commands">Linux Command-Line</a></li>
      <li>Installation and Configuration of Tools</li>
      <li>Kate or <a href="http://docs.find-santa.eu/tools/vscodium.html">VSCodium</a> or KDevelop</li>
      <li>Debugging (commandline + GUI)</li>
    </ul>
  </li>
  <li><a href="https://www.senarclens.eu/~gerald/presentations/dvc/">Git Introduction</a>
    (reference <a href="http://docs.find-santa.eu/dvcs/">material for learning
     git</a>)</li>
</ul>

<h3>Programming in C</h3>
<ul>
  <li><a href="/presentations/c/introduction/">Programming in C - Introduction</a></li>
  <li><a href="/presentations/c/fast_track/">Fast Track to C Syntax for Programmers</a></li>
  <li><a href="/presentations/c/strings/">Programming in C - Working with Text</a></li>
  {#<li>Functions in C (including variadic functions)</li>#}
  <li><a href="/presentations/c/structs/">Programming in C - Typedef and Structs - Composite Data Types</a></li>
</ul>

<h2 id="exams">Prior Exams</h2>
<ul>
  <li><a href="tests/pos1_mid_term_2021_a/">POS 1 mid term f2021 (group a)</a></li>
  <li><a href="tests/pos1_mid_term_2021_b/">POS 1 mid term f2021 (group b)</a></li>
  <li><a href="tests/pos1_mid_term_2021_extra/">POS 1 extra mid term f2021</a></li>
  <li><a href="tests/pos1_final_f2021_a/">POS 1 final f2021 (group a)</a></li>
</ul>

<h2 id="links">Links</h2>
<h3>Notes</h3>
<ul>
  <li><a href="http://docs.find-santa.eu/linux/ssh.html">Connecting to Linux
    Using SSH</a></li>
  <li><a href="http://docs.find-santa.eu/linux/#selected-commands">Selection of Linux Commands</a></li>
  <li><a href="http://docs.find-santa.eu/tools/vscodium.html">Introduction to VSCodium</a></li>
</ul>

<h3 id="software">Software</h3>
<ul>
  <li>KDE Neon Linux-based VirtualBox image with all programming tools we need:
    <a href="https://lehrer.bulme.at/~sg/vms/progamming.ova">progamming.ova</a><br />
    Download with username: <kbd>student</kbd>, ask in class for the password<br />
    Login with username: <kbd>student</kbd>, password: <kbd>changeme</kbd></li>
  <li><a href="https://www.virtualbox.org/wiki/Downloads">VirtualBox</a></li>
  <li><a href="https://files.kde.org/neon/images/user/current/neon-user-current.iso">KDE Neon Linux ISO image</a></li>
  <li>Text editor: <a href="https://vscodium.com/">VSCodium</a> or
    <a href="https://code.visualstudio.com/">Visual Studio Code</a></li>
</ul>

{% include 'blocks/code_challenge_sites.njk' %}

<h2 id="curriculum">Content of the Curriculum (1st Term)</h2>

<ul>
  <li>Bereich Programmiergrundlagen
    <ul>
      <li>Anweisungen und Kontrollstrukturen</li>
      <li>Grundlegende Datentypen und Operatoren</li>
      <li>Prozedurale Programmierung</li>
      <li>Grafische Darstellung von Algorithmen und Programmabläufen</li>
    </ul>
  </li>
  <li>Bereich Anwendungsprogrammierung
    <ul>
      <li>UI-Entwicklung</li>
      <li>Hardwarespezifische Programmierung</li>
    </ul>
  </li>
  <li>Bereich Softwareentwicklungsprozess
    <ul>
      <li>Entwicklungsumgebung</li>
      <li>Testen und Fehlersuche</li>
      <li>Debugging</li>
    </ul>
  </li>
</ul>
